package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag203;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT203Creator;

import java.math.BigDecimal;

/**
 * @author huangmengyuan
 * @create 2023/2/27
 */
public class Tag19Creator extends AbsTagCreate {
    private MT203Creator mt203Creator;

    public Tag19Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt203Creator = (MT203Creator) absMTCreator;
    }

    @Override
    public void creator() {
        BigDecimal tag19Value = mt203Creator.getSumofAmounts();
        mt203Creator.set("19",tag19Value);
    }

}
